# Settlement Report API

API for getting settlement reports

## Get outgoing report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Report API","description":"API for getting settlement reports"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/settlement/report/outgoing":{"post":{"tags":["Settlement Report API"],"summary":"Get outgoing report","description":"Permission annotations:","operationId":"buildOutgoingTransactionsReport","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerBaseReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerBaseReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/BaseReportRequestDTO"}},"description":"Object with request data"},"BaseReportRequestDTO":{"required":["blockchainList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","format":"date-time"},"lastDate":{"type":"string","format":"date-time"},"blockchainList":{"type":"string","description":"Blockchain"},"zoneOffset":{"type":"object","properties":{"totalSeconds":{"type":"integer","format":"int32"},"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitions":{"type":"array","items":{"type":"object","properties":{"overlap":{"type":"boolean"},"duration":{"type":"object","properties":{"seconds":{"type":"integer","format":"int64"},"zero":{"type":"boolean"},"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"units":{"type":"array","items":{"type":"object","properties":{"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"},"dateBased":{"type":"boolean"}}}}}},"gap":{"type":"boolean"},"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"instant":{"type":"string","format":"date-time"}}}},"transitionRules":{"type":"array","items":{"type":"object","properties":{"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"dayOfMonthIndicator":{"type":"integer","format":"int32"},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"}}}}}}}}},"description":"Object with request parameters"},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"}}},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get incoming report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Report API","description":"API for getting settlement reports"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/settlement/report/incoming":{"post":{"tags":["Settlement Report API"],"summary":"Get incoming report","description":"Permission annotations:","operationId":"buildIncomingTransactionsReport","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerBaseReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerBaseReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/BaseReportRequestDTO"}},"description":"Object with request data"},"BaseReportRequestDTO":{"required":["blockchainList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","format":"date-time"},"lastDate":{"type":"string","format":"date-time"},"blockchainList":{"type":"string","description":"Blockchain"},"zoneOffset":{"type":"object","properties":{"totalSeconds":{"type":"integer","format":"int32"},"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitions":{"type":"array","items":{"type":"object","properties":{"overlap":{"type":"boolean"},"duration":{"type":"object","properties":{"seconds":{"type":"integer","format":"int64"},"zero":{"type":"boolean"},"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"units":{"type":"array","items":{"type":"object","properties":{"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"},"dateBased":{"type":"boolean"}}}}}},"gap":{"type":"boolean"},"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"instant":{"type":"string","format":"date-time"}}}},"transitionRules":{"type":"array","items":{"type":"object","properties":{"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"dayOfMonthIndicator":{"type":"integer","format":"int32"},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"}}}}}}}}},"description":"Object with request parameters"},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"}}},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get balance report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Report API","description":"API for getting settlement reports"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/settlement/report/balance":{"post":{"tags":["Settlement Report API"],"summary":"Get balance report","description":"Permission annotations:","operationId":"buildBalanceReport","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerBaseReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerBaseReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/BaseReportRequestDTO"}},"description":"Object with request data"},"BaseReportRequestDTO":{"required":["blockchainList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","format":"date-time"},"lastDate":{"type":"string","format":"date-time"},"blockchainList":{"type":"string","description":"Blockchain"},"zoneOffset":{"type":"object","properties":{"totalSeconds":{"type":"integer","format":"int32"},"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitions":{"type":"array","items":{"type":"object","properties":{"overlap":{"type":"boolean"},"duration":{"type":"object","properties":{"seconds":{"type":"integer","format":"int64"},"zero":{"type":"boolean"},"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"units":{"type":"array","items":{"type":"object","properties":{"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"},"dateBased":{"type":"boolean"}}}}}},"gap":{"type":"boolean"},"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"instant":{"type":"string","format":"date-time"}}}},"transitionRules":{"type":"array","items":{"type":"object","properties":{"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"dayOfMonthIndicator":{"type":"integer","format":"int32"},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"}}}}}}}}},"description":"Object with request parameters"},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"}}},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get all transactions report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Settlement Report API","description":"API for getting settlement reports"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/settlement/report/all":{"post":{"tags":["Settlement Report API"],"summary":"Get all transactions report","description":"Permission annotations:","operationId":"buildAllTransactionsReport","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerBaseReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerBaseReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/BaseReportRequestDTO"}},"description":"Object with request data"},"BaseReportRequestDTO":{"required":["blockchainList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","format":"date-time"},"lastDate":{"type":"string","format":"date-time"},"blockchainList":{"type":"string","description":"Blockchain"},"zoneOffset":{"type":"object","properties":{"totalSeconds":{"type":"integer","format":"int32"},"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitions":{"type":"array","items":{"type":"object","properties":{"overlap":{"type":"boolean"},"duration":{"type":"object","properties":{"seconds":{"type":"integer","format":"int64"},"zero":{"type":"boolean"},"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"units":{"type":"array","items":{"type":"object","properties":{"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"},"dateBased":{"type":"boolean"}}}}}},"gap":{"type":"boolean"},"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"instant":{"type":"string","format":"date-time"}}}},"transitionRules":{"type":"array","items":{"type":"object","properties":{"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"dayOfMonthIndicator":{"type":"integer","format":"int32"},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"}}}}}}}}},"description":"Object with request parameters"},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"}}},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```
